<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class User extends Model 
{

    protected $table = 'users';
    public $timestamps = true;

    use SoftDeletes;

    protected $dates = ['deleted_at'];
    protected $fillable = array('email', 'password', 'remember_token', 'ativo');
    protected $hidden = array('remember_token');

    public function role()
    {
        return $this->belongsToMany('Role');
    }

    public function attempts()
    {
        return $this->hasMany('Secoes');
    }

    public function empresas()
    {
        return $this->hasMany('Empresas', 'empresas_id');
    }

    public function tecnicos()
    {
        return $this->hasMany('Tecnicos', 'tecnicos_id');
    }

}